Skip to main content
GET
List jobs

Authorizations

Authorization
string
header
required

A Voyager API key from https://voyager.so/dashboard/api.

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
cursor
string | null

next_cursor from the previous page.

Maximum string length: 400
type
enum<string> | null
Available options:
image,
video,
speech,
music,
sound_effect,
3d,
segment
status
enum<string> | null
Available options:
queued,
running,
succeeded,
failed,
canceled
created_after
string<date-time> | null

Only jobs created after this instant.

Response

Successful Response

data
Job · object[]
required

This page's items.

has_more
boolean
required

Whether another page follows.

next_cursor
string | null
required

Pass as cursor to read the next page; null on the last page.

object
string
default:list

Always "list".

Allowed value: "list"